ul.balls{padding:0;list-style-type:none;margin-top:-10px;display:block}
ul.balls li{float:left;}
fieldset{border-radius:4px;border:1px solid #ddd !important;padding: 0 10px !important}
fieldset>legend{width:auto;font-size:1em}
.ball-result .red,.ball-red{background:radial-gradient(circle at 35% 35%,#f88,#d00 50%,#a00);color:white;border-radius:50px;padding:2px;position:relative;display:inline-flex;align-items:center;justify-content:center;box-shadow:inset 0 2px 4px rgba(255,255,255,.4),0 2px 6px rgba(0,0,0,.3);width:1.5em;height:1.5em;}
.ball-result .blue,.ball-blue{background:radial-gradient(circle at 35% 35%,#88f,#00d 50%,#00a);color:white;border-radius:50px;padding:2px;position:relative;display:inline-flex;align-items:center;justify-content:center;box-shadow:inset 0 2px 4px rgba(255,255,255,.4),0 2px 6px rgba(0,0,0,.3);width:1.5em;height:1.5em;}
.ball-result .red.matched::before,
.ball-result .blue.matched::before{content:"✓";color:green;position:absolute;right:-5px;bottom:-7px}
.active-link{border:1px solid rgba(255,255,255,.2);padding:2px 5px;border-radius:3px}
.active-link::after{content:"✓";color:green;margin-left:2px}